label {
  display: block;
  padding-top: $spacer-small;
  min-width: 200px;
}

input[type="number"],
input[type="text"],
textarea {
  background-color: transparent;
  color: $color-base;
  display: block;
  border: none;
  border-bottom: 3px solid $color-border-base;
  width: 100%;

  &:focus {
    border-bottom-color: $color-base;
  }
}

select {
  display: block;
  width: 100%;
  max-width: 100%;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23FFFFFF77%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
  background-repeat: no-repeat, repeat;
  background-position: right .7em top 50%, 0 0;
  background-size: .65em auto, 100%;
}

select::-ms-expand {
  display: none;
}

select option {
  font-weight: 200;
}

.form-field {
  &:not(:last-child) {
    margin-bottom: $spacer-default;
  }

  label {
    display: block;
    font-weight: 500;
    margin-bottom: $spacer-small;

    &.btn {
      font-weight: normal;
    }
  }
}

.input-line {
  display: flex;
  width: 100%;

  input {
    text-align: right;
    flex-grow: 1;
    margin-right: $spacer-default;
    -moz-appearance: textfield;
    -webkit-appearance: textfield;
    appearance: textfield;
  }

  button {
    &:not(:last-child) {
      margin-right: $spacer-default;
    }
  }
}
